package body Mcc.Gui.Container.Frame is

   ------------
   -- Create --
   ------------

   procedure Create
     (Obj          : in out Frame;
      Parent       : in     Container'Class;
      X            : in     Integer;
      Y            : in     Integer;
      Width        : in     Natural;
      Height       : in     Natural;
      Border_Width : in     Natural := 1)
   is
   begin
      Obj.My_Peer := Peer.Create_Peer(Parent.My_Peer);
      Peer.Eval("frame " & Obj.My_Peer.Name.all &
        " -relief solid -borderwidth " & integer'image(border_width));
      Peer.Eval("place " & Obj.My_Peer.Name.all &
         " -anchor nw" &
         " -x " & Integer'Image(X) &
         " -y " & Integer'Image(Y) &
         " -width" & Integer'Image(Width) &
         " -height" & Integer'Image(Height));
   end Create;

end Mcc.Gui.Container.Frame;